[package]
name = "preserves"
version = "4.991.1"
authors = ["Tony Garnock-Jones <tonyg@leastfixedpoint.com>"]
edition = "2018"
description = "Implementation of the Preserves serialization format via serde."
homepage = "https://preserves.dev/"
repository = "https://gitlab.com/preserves/preserves"
license = "Apache-2.0"

[badges]
gitlab = { repository = "preserves/preserves" }

[dependencies]
base64 = "0.13"
dtoa = "0.4"
num = "0.4"
lazy_static = "1.4.0"
regex = "1.5"
serde = { version = "1.0", features = ["derive"] }
serde_bytes = "0.11"

[dev-dependencies]
criterion = "0.3"

[[bench]]
name = "codec"
harness = false

[package.metadata.workspaces]
independent = true
